Name:           glump
Version:        0.9.11
Release:        3%{?dist}
Summary:        A small web application to glue files from multiple sources

License:        GPL
URL:            http://linux.duke.edu/projects/mini/glump
Source0:        http://linux.duke.edu/projects/mini/glump/download/%{name}-%{version}.tar.gz
Group:          Applications/Internet
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python-devel
Requires:       httpd
Requires:       mod_python
Requires:       libxml2-python

%description
Glump is a simple web application that glues files from various
pieces, based on the hostname that makes the request. This is useful
for large installations that want to send different files to different
hosts.

%prep
%setup -q
%{__perl} -pi -e 's@#!/usr/bin/python2@#!%{__python}@' glump.py

%build

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
rm -rf %{buildroot}%{_sysconfdir}/glump/example
mkdir -p %{buildroot}%{_sysconfdir}/httpd/conf.d
mv %{buildroot}%{_sysconfdir}/glump/apache.conf %{buildroot}%{_sysconfdir}/httpd/conf.d/glump.conf

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README ChangeLog etc/example
%dir %{_sysconfdir}/glump
%config(noreplace) %{_sysconfdir}/glump/glump.conf
%config(noreplace) %{_sysconfdir}/httpd/conf.d/glump.conf
%{_datadir}/%{name}

%changelog
* Sat Jun  9 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.9.11-3
- Clean up tab/space confusion
- Remove the buildroot at the beginning of the install

* Tue Dec 19 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.9.11-2
- Fix permissions of specfile

* Tue Dec  5 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.9.11-1
- Update spec for Fedora Extras
-  Update buildroot
-  Fix path of python interpreter in shebang
-  Move example files to %%doc
-  Move Apache httpd config snippet to httpd config dir
-  Add requires on libxml2-python, mod_python, and httpd

* Sun Aug 27 2006 Seth Vidal <skvidal at linux.duke.edu>
- 0.9.11

* Thu Jun 22 2006 Seth Vidal <skvidal at linux.duke.edu> 0.9.10-1
- 0.9.10

* Tue Mar  7 2006 Seth Vidal <skvidal at linux.duke.edu> 0.9.9-1
- version 0.9.9

* Wed Apr 20 2005 Konstantin Ryabitsev <icon@linux.duke.edu> 0.9.8-1
- Version 0.9.8
- Conform to the Fedora Extras format

* Thu Oct 14 2004 Konstantin Ryabitsev <icon@linux.duke.edu> 0.9.7-1
- Fix when non-matching entry will be assigned the last tried match.

* Fri Aug 27 2004 Konstantin Ryabitsev <icon@linux.duke.edu> 0.9.6-1
- Release 0.9.6
- Adding ChangeLog file.

* Thu Aug 26 2004 Konstantin Ryabitsev <icon@linux.duke.edu> 0.9.5-1
- Preparing for public release.

* Fri Aug 20 2004 Konstantin Ryabitsev <icon@linux.duke.edu> 0.9.0-1
- Initial build.

